<template>
    <div class="graph flex-box flex-row w-100">
        <div v-for="(value, key, i) in user_means" :class="`block block-${i}`" :style="`height: ${value/10}px;`"></div>
        <label class="label">{{ label }}</label>
        <p>{{ cons_tot }} kg de CO2eq</p>
    </div>
</template>

<script>

export default {
    props: {
        user_means: Object,
        label: String
    },
    computed: {
      cons_tot() {
        let s = 0
        for (let p in this.user_means) {
          s += this.user_means[p];
        }
        return Math.floor(s)
      }
    }
    // updated() {console.log(this.user_means)}

}
</script>

<style>
.label {
    height: 50px;
}

.graph {
    padding-left: 5%;
    padding-right: 5%;
}

.block {
    width: 100%;
}

.block-0 {
    background-color: #F2C936;
    height: 4rem;
}

.block-2 {
    background-color: #647D9A;
    height: 1.5rem;
}

.block-3 {
    background-color: #649A8B;
    height: 0.5rem;
}

.block-4 {
    background-color: #F27D36;
    height: 3rem;
}

.block-5 {
    background-color: #C6E6E8;
    height: 3rem;
}

.block-6 {
    background-color: #175F7A;
    height: 3rem;
}

.block-1 {
    background-color: #D4A55D;
    height: 3rem;
}

.label {
    margin-top: 5%;
}

</style>